> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all terms and conditions



## OpenAPI

````yaml /openapi.json get /orders/terms_and_conditions/all
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /orders/terms_and_conditions/all:
    get:
      tags:
        - terms and conditions
      summary: Get all terms and conditions
      operationId: get_all_terms_and_conditions_orders_terms_and_conditions_all_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ItemsList_TermsAndConditions_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    ItemsList_TermsAndConditions_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/TermsAndConditions'
          type: array
          title: Items
        count:
          type: integer
          title: Count
          default: 0
        total_count:
          type: integer
          title: Total Count
          default: 0
      type: object
      required:
        - items
      title: ItemsList[TermsAndConditions]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TermsAndConditions:
      properties:
        id:
          type: integer
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        content:
          additionalProperties:
            $ref: '#/components/schemas/Terms'
          type: object
          title: Content
        related_services:
          items:
            type: string
          type: array
          title: Related Services
        version:
          type: string
          title: Version
        enable:
          type: boolean
          title: Enable
        expiration:
          type: integer
          title: Expiration
      type: object
      required:
        - id
        - created_at
        - content
        - related_services
        - version
        - enable
        - expiration
      title: TermsAndConditions
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Terms:
      properties:
        terms_content:
          items:
            $ref: '#/components/schemas/TermsContent'
          type: array
          title: Terms Content
      type: object
      required:
        - terms_content
      title: Terms
    TermsContent:
      properties:
        type:
          type: string
          title: Type
        content:
          type: string
          title: Content
      type: object
      required:
        - type
        - content
      title: TermsContent
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````